PKCS10CertificationRequest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jce

## Class PKCS10CertificationRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.CertificationRequest
    - - org.bouncycastle.jce.PKCS10CertificationRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

  Deprecated.
  use classes in org.bouncycastle.pkcs.

      public class PKCS10CertificationRequest
      extends CertificationRequest

  A class for verifying and creating PKCS10 Certification requests.

       CertificationRequest ::= SEQUENCE {
         certificationRequestInfo  CertificationRequestInfo,
         signatureAlgorithm        AlgorithmIdentifier{{ SignatureAlgorithms }},
         signature                 BIT STRING
       }

       CertificationRequestInfo ::= SEQUENCE {
         version             INTEGER { v1(0) } (v1,...),
         subject             Name,
         subjectPKInfo   SubjectPublicKeyInfo{{ PKInfoAlgorithms }},
         attributes          [0] Attributes{{ CRIAttributes }}
        }

        Attributes { ATTRIBUTE:IOSet } ::= SET OF Attribute{{ IOSet }}

        Attribute { ATTRIBUTE:IOSet } ::= SEQUENCE {
          type    ATTRIBUTE.&id({IOSet}),
          values  SET SIZE(1..MAX) OF ATTRIBUTE.&Type({IOSet}{\@type})
        }

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.pkcs.CertificationRequest

      `reqInfo, sigAlgId, sigBits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS10CertificationRequest(ASN1Sequence sequence)` Deprecated.
    `PKCS10CertificationRequest(byte[] bytes)` Deprecated. construct a PKCS10 certification request from a DER encoded byte stream.
    `PKCS10CertificationRequest(java.lang.String signatureAlgorithm, javax.security.auth.x500.X500Principal subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey)` Deprecated. create a PKCS10 certfication request using the BC provider.
    `PKCS10CertificationRequest(java.lang.String signatureAlgorithm, javax.security.auth.x500.X500Principal subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey, java.lang.String provider)` Deprecated. create a PKCS10 certfication request using the named provider.
    `PKCS10CertificationRequest(java.lang.String signatureAlgorithm, X509Name subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey)` Deprecated. create a PKCS10 certfication request using the BC provider.
    `PKCS10CertificationRequest(java.lang.String signatureAlgorithm, X509Name subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey, java.lang.String provider)` Deprecated. create a PKCS10 certfication request using the named provider.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated. return a DER encoded byte array representing this object
    `java.security.PublicKey` | `getPublicKey()` Deprecated. return the public key associated with the certification request - the public key is created using the BC provider.
    `java.security.PublicKey` | `getPublicKey(java.lang.String provider)` Deprecated.
    `boolean` | `verify()` Deprecated. verify the request using the BC provider.
    `boolean` | `verify(java.security.PublicKey pubKey, java.lang.String provider)` Deprecated. verify the request using the passed in public key and the provider..
    `boolean` | `verify(java.lang.String provider)` Deprecated. verify the request using the passed in provider.

    - ### Methods inherited from class org.bouncycastle.asn1.pkcs.CertificationRequest

      `getCertificationRequestInfo, getInstance, getSignature, getSignatureAlgorithm, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(byte[] bytes)

      Deprecated.
      construct a PKCS10 certification request from a DER encoded byte stream.

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(ASN1Sequence sequence)

      Deprecated.

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                    X509Name subject,
                                    java.security.PublicKey key,
                                    ASN1Set attributes,
                                    java.security.PrivateKey signingKey)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.NoSuchProviderException,
                                            java.security.InvalidKeyException,
                                            java.security.SignatureException

      Deprecated.
      create a PKCS10 certfication request using the BC provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                    javax.security.auth.x500.X500Principal subject,
                                    java.security.PublicKey key,
                                    ASN1Set attributes,
                                    java.security.PrivateKey signingKey)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.NoSuchProviderException,
                                            java.security.InvalidKeyException,
                                            java.security.SignatureException

      Deprecated.
      create a PKCS10 certfication request using the BC provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                    javax.security.auth.x500.X500Principal subject,
                                    java.security.PublicKey key,
                                    ASN1Set attributes,
                                    java.security.PrivateKey signingKey,
                                    java.lang.String provider)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.NoSuchProviderException,
                                            java.security.InvalidKeyException,
                                            java.security.SignatureException

      Deprecated.
      create a PKCS10 certfication request using the named provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### PKCS10CertificationRequest

          public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                    X509Name subject,
                                    java.security.PublicKey key,
                                    ASN1Set attributes,
                                    java.security.PrivateKey signingKey,
                                    java.lang.String provider)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.NoSuchProviderException,
                                            java.security.InvalidKeyException,
                                            java.security.SignatureException

      Deprecated.
      create a PKCS10 certfication request using the named provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

  - ### Method Detail

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()
                                               throws java.security.NoSuchAlgorithmException,
                                                      java.security.NoSuchProviderException,
                                                      java.security.InvalidKeyException

      Deprecated.
      return the public key associated with the certification request - the public key is created using the BC provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`

    - #### getPublicKey

          public java.security.PublicKey getPublicKey(java.lang.String provider)
                                               throws java.security.NoSuchAlgorithmException,
                                                      java.security.NoSuchProviderException,
                                                      java.security.InvalidKeyException

      Deprecated.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`

    - #### verify

          public boolean verify()
                         throws java.security.NoSuchAlgorithmException,
                                java.security.NoSuchProviderException,
                                java.security.InvalidKeyException,
                                java.security.SignatureException

      Deprecated.
      verify the request using the BC provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### verify

          public boolean verify(java.lang.String provider)
                         throws java.security.NoSuchAlgorithmException,
                                java.security.NoSuchProviderException,
                                java.security.InvalidKeyException,
                                java.security.SignatureException

      Deprecated.
      verify the request using the passed in provider.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### verify

          public boolean verify(java.security.PublicKey pubKey,
                       java.lang.String provider)
                         throws java.security.NoSuchAlgorithmException,
                                java.security.NoSuchProviderException,
                                java.security.InvalidKeyException,
                                java.security.SignatureException

      Deprecated.
      verify the request using the passed in public key and the provider..
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.
      return a DER encoded byte array representing this object
      Specified by:
        `getEncoded` in interface `Encodable`
      Overrides:
        `getEncoded` in class `ASN1Object`
      Returns:
        BER/DER byte encoded object.